Skip to main content
Network Management/Network Resources/Distributed Port Group Related Interfaces
GETDistributed Port Group Related InterfacesSince 3.1.0SynchronousAuth Required

Query IP Address

Query IP Address

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see errot

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null

  • inventoriesListRequired

    For more information, see inventories

    • uuidStringRequired

      The resource UUID, which uniquely identifies the resource.

    • ipRangeUuidStringRequired

      The IP range UUID.

    • l3NetworkUuidStringRequired

      The L3 Network UUID.

    • ipVersionIntegerRequired

      The IP protocol number.

    • ipStringRequired

      The IP address.

    • netmaskStringRequired

      The network mask.

    • gatewayStringRequired

      The gateway address.

    • usedForStringRequired

      已使用用于。

    • ipInLonglongRequired

      No description provided.

    • vmNicUuidStringRequired

      The VM NIC UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/l3-networks/ip-address

/zstack/v1/l3-networks/ip-address

Operation ID

QueryIpAddress

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/ip-address' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "3ccfbfd6bd483a5eaeabed00b284f4fc", "ipRangeUuid": "1b3a29978ea73f0db4ce8d8c2d0bd479", "l3NetworkUuid": "c11b366475f836078e5aa86469de2eef", "ipVersion": 4.0, "ip": "192.168.1.100", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "ipInLong": 0.0, "vmNicUuid": "28e22f67b2893b208547333dfef7cfa8" } ] }

Change History

This API has no change history records yet.

View all change history